Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002562 [JEDI VCL] 00 JVCL Components major always 2005-01-27 10:51 2005-02-04 01:45
Reporter carlosw View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002562: Stack overflow in JvDynControlEngineDBTools.pas
Description in JvDynControlEngineDBTools.pas:

function TJvDynControlDataSourceEditDialog.CreateDynControlDialog(var AMainPanel: TWinControl): TCustomForm;
var
  DynControlEngine: TJvDynControlEngine;
  Form: TCustomForm;
  PostButton, CancelButton, CloseButton: TButtonControl;
  LeftPos: Integer;
begin
  DynControlEngine:= DynControlEngineDB.DynControlEngine;
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  I get an Stack overflow here!

Any clues? I know i don't have any :)
Additional Information This was called from:

ShowDataSourceEditDialog(FData.DataMasterSource,
                         'Valuta soorten', 'Bewaar', 'Annuleren', 'Sluiten',
                          False,
                          nil,
                          nil,
                          nil,
                          DynControlEngineJVCLDB );
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006300)
carlosw (reporter)
2005-01-27 13:32

more info:

when i assign nil as DynControlEngine i don't get the stack overflow error
(0006305)
jfudickar (developer)
2005-01-28 10:29

Did you have tested the sample in the examples\DyncontrolEngineDB Directory?
(0006307)
jfudickar (developer)
2005-01-28 15:44

Or could you create a sample application ?
(0006308)
jfudickar (developer)
2005-01-28 15:54

Fixed in cvs, please give it a try!
(0006314)
carlosw (reporter)
2005-01-29 12:57

thanx i'll give it a try.

i can't find the Examples\(jv)DyncontrolEngineDB directory.
is it in cvs?
(0006315)
jfudickar (developer)
2005-01-29 13:02

My Fault.

The right directory is examples\JvDynControlDatabase

And it should be in the cvs

But i think the failure should also be fixed for your code. It was a problem with JVCLDB-Engine.
(0006323)
carlosw (reporter)
2005-01-31 00:58

it works.
but can't find the examples

webcvs should the dir as empty:
http://cvs.sourceforge.net/viewcvs.py/jvcl/dev/JVCL3/examples/JvDynControlDatabase/ [^]
(0006379)
obones (administrator)
2005-02-04 01:45

Example is in jvcl\dev\Jens\JvDynControl\JvDynControlDatabase

- Issue History
Date Modified Username Field Change
2005-01-27 10:51 carlosw New Issue
2005-01-27 13:32 carlosw Note Added: 0006300
2005-01-28 10:29 jfudickar Note Added: 0006305
2005-01-28 13:43 jfudickar Issue Monitored: jfudickar
2005-01-28 13:43 jfudickar Status new => assigned
2005-01-28 13:43 jfudickar Assigned To => jfudickar
2005-01-28 15:44 jfudickar Note Added: 0006307
2005-01-28 15:54 jfudickar Note Added: 0006308
2005-01-28 15:54 jfudickar Status assigned => feedback
2005-01-29 12:57 carlosw Note Added: 0006314
2005-01-29 13:02 jfudickar Note Added: 0006315
2005-01-31 00:58 carlosw Note Added: 0006323
2005-02-04 01:45 obones Status feedback => resolved
2005-02-04 01:45 obones Fixed in Version => 3.00
2005-02-04 01:45 obones Resolution open => fixed
2005-02-04 01:45 obones Note Added: 0006379


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker